Tier Groups
List all tier groups for a store
GEThttps://api.paynow.gg/v1/stores/{storeId}/tier-groups
Retrieves all tier groups for the specified store.
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
The ID of the store to retrieve tier groups for.
Response
200OKTierGroupDto[]
Show fieldsHide fields
idFlakeIdRequired
created_atstringRequired
When the tier group was created.
created_byActorDtoRequiredRepresents the actor that performed an action, such as the user, API key or game server that
created or changed a record.
idFlakeIdOptional
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
namestringRequired
The name of the tier group.
store_idFlakeIdRequired
updated_atstringOptional
When was the tier group last updated.
updated_byActorDtoOptionalRepresents the actor that performed an action, such as the user, API key or game server that
created or changed a record.
idFlakeIdOptional
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
Failed requests return a PayNowError body. See the error response guide.
curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/tier-groups" \
-H "Authorization: APIKey TOKEN"import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
const result = await paynow.tierGroups.listTierGroups();import requests
headers = {"Authorization": "APIKey TOKEN"}
response = requests.get("https://api.paynow.gg/v1/stores/{storeId}/tier-groups", headers=headers)Response200
[
{
"id": "411486491630370816",
"created_at": "2024-01-01T00:00:00Z",
"created_by": {
"id": "411486491630370816",
"type": "anonymous"
},
"name": "string",
"store_id": "411486491630370816",
"updated_at": "2024-01-01T00:00:00Z",
"updated_by": {
"id": "411486491630370816",
"type": "anonymous"
}
}
]Create a new tier group
POSThttps://api.paynow.gg/v1/stores/{storeId}/tier-groups
Creates a new tier group in the specified store.
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
The ID of the store to create the tier group in.
Request body
namestringRequired
The name of the tier group.
Response
200OKTierGroupDto
Show fieldsHide fields
idFlakeIdRequired
created_atstringRequired
When the tier group was created.
created_byActorDtoRequiredRepresents the actor that performed an action, such as the user, API key or game server that
created or changed a record.
idFlakeIdOptional
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
namestringRequired
The name of the tier group.
store_idFlakeIdRequired
updated_atstringOptional
When was the tier group last updated.
updated_byActorDtoOptionalRepresents the actor that performed an action, such as the user, API key or game server that
created or changed a record.
idFlakeIdOptional
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
Failed requests return a PayNowError body. See the error response guide.
curl -X POST "https://api.paynow.gg/v1/stores/{storeId}/tier-groups" \
-H "Authorization: APIKey TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "string"
}'import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
const result = await paynow.tierGroups.createTierGroup({
name: "string",
});import requests
headers = {"Authorization": "APIKey TOKEN"}
payload = {
"name": "string",
}
response = requests.post("https://api.paynow.gg/v1/stores/{storeId}/tier-groups", headers=headers, json=payload)Response200
{
"id": "411486491630370816",
"created_at": "2024-01-01T00:00:00Z",
"created_by": {
"id": "411486491630370816",
"type": "anonymous"
},
"name": "string",
"store_id": "411486491630370816",
"updated_at": "2024-01-01T00:00:00Z",
"updated_by": {
"id": "411486491630370816",
"type": "anonymous"
}
}Get a tier group by ID
GEThttps://api.paynow.gg/v1/stores/{storeId}/tier-groups/{tierGroupId}
Retrieves a tier group by the ID for the specified store.
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
The ID of the store to retrieve the tier group for.
tierGroupIdFlakeIdRequired
The ID of the tier group.
Response
200OKTierGroupDto
Show fieldsHide fields
idFlakeIdRequired
created_atstringRequired
When the tier group was created.
created_byActorDtoRequiredRepresents the actor that performed an action, such as the user, API key or game server that
created or changed a record.
idFlakeIdOptional
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
namestringRequired
The name of the tier group.
store_idFlakeIdRequired
updated_atstringOptional
When was the tier group last updated.
updated_byActorDtoOptionalRepresents the actor that performed an action, such as the user, API key or game server that
created or changed a record.
idFlakeIdOptional
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
Failed requests return a PayNowError body. See the error response guide.
curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/tier-groups/{tierGroupId}" \
-H "Authorization: APIKey TOKEN"import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
const result = await paynow.tierGroups.getTierGroup("411486491630370816");import requests
headers = {"Authorization": "APIKey TOKEN"}
response = requests.get("https://api.paynow.gg/v1/stores/{storeId}/tier-groups/{tierGroupId}", headers=headers)Response200
{
"id": "411486491630370816",
"created_at": "2024-01-01T00:00:00Z",
"created_by": {
"id": "411486491630370816",
"type": "anonymous"
},
"name": "string",
"store_id": "411486491630370816",
"updated_at": "2024-01-01T00:00:00Z",
"updated_by": {
"id": "411486491630370816",
"type": "anonymous"
}
}Update a tier group by ID
PATCHhttps://api.paynow.gg/v1/stores/{storeId}/tier-groups/{tierGroupId}
Performs a delta update of a tier group by the ID for the specified store.
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
The ID of the store to update the tier group for.
tierGroupIdFlakeIdRequired
The ID of the tier group.
Request body
namestringRequired
The name of the tier group.
Response
200OKTierGroupDto
Show fieldsHide fields
idFlakeIdRequired
created_atstringRequired
When the tier group was created.
created_byActorDtoRequiredRepresents the actor that performed an action, such as the user, API key or game server that
created or changed a record.
idFlakeIdOptional
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
namestringRequired
The name of the tier group.
store_idFlakeIdRequired
updated_atstringOptional
When was the tier group last updated.
updated_byActorDtoOptionalRepresents the actor that performed an action, such as the user, API key or game server that
created or changed a record.
idFlakeIdOptional
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
Failed requests return a PayNowError body. See the error response guide.
curl -X PATCH "https://api.paynow.gg/v1/stores/{storeId}/tier-groups/{tierGroupId}" \
-H "Authorization: APIKey TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "string"
}'import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
const result = await paynow.tierGroups.updateTierGroup("411486491630370816", {
name: "string",
});import requests
headers = {"Authorization": "APIKey TOKEN"}
payload = {
"name": "string",
}
response = requests.patch("https://api.paynow.gg/v1/stores/{storeId}/tier-groups/{tierGroupId}", headers=headers, json=payload)Response200
{
"id": "411486491630370816",
"created_at": "2024-01-01T00:00:00Z",
"created_by": {
"id": "411486491630370816",
"type": "anonymous"
},
"name": "string",
"store_id": "411486491630370816",
"updated_at": "2024-01-01T00:00:00Z",
"updated_by": {
"id": "411486491630370816",
"type": "anonymous"
}
}Delete a tier group by ID
DELETEhttps://api.paynow.gg/v1/stores/{storeId}/tier-groups/{tierGroupId}
Deletes a tier group by the ID for the specified store.
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
The ID of the store to delete the tier group for.
tierGroupIdFlakeIdRequired
The ID of the tier group.
curl -X DELETE "https://api.paynow.gg/v1/stores/{storeId}/tier-groups/{tierGroupId}" \
-H "Authorization: APIKey TOKEN"import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
await paynow.tierGroups.deleteTierGroup("411486491630370816");import requests
headers = {"Authorization": "APIKey TOKEN"}
response = requests.delete("https://api.paynow.gg/v1/stores/{storeId}/tier-groups/{tierGroupId}", headers=headers)